Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class CloseSequenceResponse

    java.lang.Object
      org.apache.sandesha2.wsrm.CloseSequenceResponse

All Implemented Interfaces:
  IOMRMElement, IOMRMPart

    public class CloseSequenceResponse

extends java.lang.Object
implements IOMRMPart

Adds the Close Sequence Response body part.

Constructor Summary
`CloseSequenceResponse(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement body)`
`Identifier` | `getIdentifier()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setIdentifier(Identifier identifier)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement body)`
`void` | `toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseSequenceResponse

    public CloseSequenceResponse(java.lang.String namespaceValue)
                          throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement body)
                                   throws org.apache.axiom.om.OMException,
                                          SandeshaException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `SandeshaException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement body)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getIdentifier

    public Identifier getIdentifier()

### setIdentifier

    public void setIdentifier(Identifier identifier)

### toSOAPEnvelope

    public void toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)

  Specified by:
    `toSOAPEnvelope` in interface `IOMRMPart`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.